=== debian/changelog ===
woff2 (1.0.2-3) unstable; urgency=medium

  * Team upload
  * Fix `uint8_t` undefined with GCC 15 (Closes: #1098111)
  * Override min cmake version (Closes: #1113631)
  * Disable noisy logging (Closes: #1114734)

 -- Bastian Germann <bage@debian.org>  Sat, 18 Oct 2025 01:07:23 +0200

woff2 (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * debian/: Apply wrap-and-sort -abst
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Migrate Vcs-* to Salsa GitLab.
  * debian/control: Bump debhelper compat to v13.
  * debian/copyright: use secure URI.
  * debian/watch: Fix monitoring grammar.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jun 2022 13:38:34 -0400

woff2 (1.0.2-1) unstable; urgency=low

  * Initial release. Closes: #883828.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Dec 2017 10:03:34 -0500
