=== debian/control ===
Source: woff2
Section: libs
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libbrotli-dev,
 pkg-config,
Standards-Version: 4.6.1
Homepage: https://github.com/google/woff2
Vcs-Git: https://salsa.debian.org/fonts-team/woff2.git
Vcs-Browser: https://salsa.debian.org/fonts-team/woff2

Package: libwoff-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbrotli-dev,
 libwoff1 (= ${binary:Version}),
 ${misc:Depends},
Description: library for converting fonts to WOFF 2.0 - development files
 woff2 is a library for converting fonts from the TTF format to the WOFF 2.0
 format. The library also allows decompression from WOFF 2.0 to TTF.
 .
 The WOFF 2.0 format uses the Brotli compression algorithm to compress fonts
 suitable for use in CSS @font-face rules. WOFF 2.0 is a W3C Candidate
 Recommendation.
 .
 This package contains the development files.

Package: libwoff1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for converting fonts to WOFF 2.0
 woff2 is a library for converting fonts from the TTF format to the WOFF 2.0
 format. The library also allows decompression from WOFF 2.0 to TTF.
 .
 The WOFF 2.0 format uses the Brotli compression algorithm to compress fonts
 suitable for use in CSS @font-face rules. WOFF 2.0 is a W3C Candidate
 Recommendation.

Package: woff2
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for converting fonts to WOFF 2.0
 woff2 is a library for converting fonts from the TTF format to the WOFF 2.0
 format. The library also allows decompression from WOFF 2.0 to TTF.
 .
 The WOFF 2.0 format uses the Brotli compression algorithm to compress fonts
 suitable for use in CSS @font-face rules. WOFF 2.0 is a W3C Candidate
 Recommendation.
 .
 This package contains the woff2_compress, woff2_decompress, and woff2_info
 utilities.
