=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

VERSION_MINOR = $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | \
			cut -d. -f1,2).0

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5 -DNOISY_LOGGING=OFF

override_dh_makeshlibs:
	dh_makeshlibs -V'libwoff1 (>= $(VERSION_MINOR))' -- -c4
