## woff2 1.0.2-1

=== debian/changelog ===
woff2 (1.0.2-1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:21:40 +0800
